package com.gyf.csams.account.model

import android.app.Activity
import android.app.Application
import android.os.Build
import com.gyf.csams.account.ui.LoginActivity
import com.gyf.csams.module.ClientType
import com.gyf.csams.module.ManagerLoginVo
import com.gyf.lib.model.AbstractLoginViewModel
import com.gyf.lib.uikit.FormStatus
import com.gyf.lib.uikit.ValidStringForm
import com.gyf.lib.util.AccountApi


class LoginViewModel(application: Application) : AbstractLoginViewModel(application) {
    override val id = ValidStringForm(formDesc = "管理帐号", textLength = 8)
    override val password: ValidStringForm = ValidStringForm(formDesc = "管理密码", textLength = 8)

    override val api: AccountApi = AccountApi.BackgroundLogin

    override fun checkForm(): Boolean {
        return id.statusForm.value == FormStatus.Valid && password.statusForm.value == FormStatus.Valid
    }

    override fun loginParam(): Any {
        return ManagerLoginVo(
            account = id.getValue(),
            password = password.getValue(),
            device = "${Build.MANUFACTURER} ${Build.MODEL}"
        )
    }

    override val clientType: ClientType = ClientType.Background
    override val loginClass: Class<out Activity> = LoginActivity::class.java
}