package com.gyf.csams.main.model

import android.app.Application
import com.google.gson.reflect.TypeToken
import com.gyf.csams.module.ApiResponse
import com.gyf.csams.module.AuditActVo
import com.gyf.lib.util.ActivityApi
import com.gyf.lib.util.UrlPath
import java.lang.reflect.Type


/**
 * 活动审核
 *
 */
class AuditActViewModel(application: Application) : BaseAuditViewModel<AuditActVo>(application) {
    override val auditApi: UrlPath = ActivityApi.Audit
    override val acceptApi: UrlPath = ActivityApi.Accept
    override val checkApi: UrlPath = ActivityApi.Check
    override val typeToken: Type =
        object : TypeToken<ApiResponse<MutableList<AuditActVo>>>() {}.type

    init {
        load()
    }


}