package com.gyf.csams.main.model

import android.app.Application
import com.google.gson.reflect.TypeToken
import com.gyf.csams.module.ApiResponse
import com.gyf.csams.module.AuditAssociationVo
import com.gyf.lib.util.AssociationApi
import com.gyf.lib.util.UrlPath
import java.lang.reflect.Type


class AuditAssociationViewModel(application: Application) : BaseAuditViewModel<AuditAssociationVo>(
    application
) {

    override val auditApi: UrlPath = AssociationApi.Audit
    override val acceptApi: UrlPath = AssociationApi.Accept
    override val checkApi: UrlPath = AssociationApi.Check
    override val typeToken: Type =
        object : TypeToken<ApiResponse<MutableList<AuditAssociationVo>>>() {}.type

    init {
        load()
    }


}