package com.gyf.csams.main.model

import android.app.Application
import com.google.gson.reflect.TypeToken
import com.gyf.csams.module.ApiResponse
import com.gyf.csams.module.AuditRenameVo
import com.gyf.lib.util.AssociationApi
import com.gyf.lib.util.UrlPath
import java.lang.reflect.Type


class AuditRenameViewModel(application: Application) :
    BaseAuditViewModel<AuditRenameVo>(application) {

    override val auditApi: UrlPath = AssociationApi.RenameAudit
    override val acceptApi: UrlPath = AssociationApi.RenameAccept
    override val checkApi: UrlPath = AssociationApi.RenameCheck
    override val typeToken: Type =
        object : TypeToken<ApiResponse<MutableList<AuditRenameVo>>>() {}.type


    init {
        load()
    }
}