package com.gyf.csams.main.model

import android.app.Application
import androidx.lifecycle.viewModelScope
import com.gyf.csams.module.QualityReportVo
import com.gyf.lib.model.ApplyViewModel

import com.gyf.lib.util.randomChinese
import kotlinx.coroutines.launch



/**
 * 活动质量汇报单评价
 *
 */
class CheckQualityReportViewModel(application: Application) : ApplyViewModel<QualityReportVo>(
    application
) {
    override val initSize: Int = 10

    init {
        load()
    }

    fun load() {
        viewModelScope.launch {
            _data.value?.apply {
                repeat(initSize) {
                    add(
                        QualityReportVo(
                            applyName = randomChinese(3), activityName = randomChinese(10),
                            merit = randomChinese(10), defect = randomChinese(10),
                            score = (1..5).random()
                        )
                    )
                }
            }
        }
    }
}