package com.gyf.csams.main.model

import android.app.Application
import com.google.gson.reflect.TypeToken
import com.gyf.csams.module.ApiResponse
import com.gyf.csams.module.ClientType
import com.gyf.csams.module.ManagerActVo
import com.gyf.lib.model.ScrollViewModel
import com.gyf.lib.util.*


/**
 * 活动信息数据管理
 *
 * @constructor
 *
 * @param application
 */
class ManagerActViewModel(application: Application) : ScrollViewModel<ManagerActVo>(application) {
    override val initSize: Int = 10

    init {
        load()
    }

    fun load() {
        HttpClient.post(url = Api.buildUrl(ActivityApi.ListAll),
            callback = HttpCallback<MutableList<ManagerActVo>>(action = "查看活动信息",
                onSuccess = { it ->
                    it.body.let {
                        _data.postValue(it)
                    }
                }, typeToken = object : TypeToken<ApiResponse<MutableList<ManagerActVo>>>() {}.type
            ),
            jsonParam = OnlyToken(clientType = ClientType.Background)
        )
    }


}