package com.gyf.csams.uikit

import android.app.Application
import androidx.lifecycle.AndroidViewModel
import androidx.lifecycle.LiveData
import androidx.lifecycle.MutableLiveData
import androidx.lifecycle.viewModelScope
import com.google.gson.reflect.TypeToken
import com.gyf.csams.module.ApiResponse
import com.gyf.csams.module.ClientType
import com.gyf.csams.module.MainActivityPhotoVo
import com.gyf.lib.util.*
import kotlinx.coroutines.launch


class ImageViewModel(application: Application) : AndroidViewModel(application) {

    private val _imageList = MutableLiveData<List<MainActivityPhotoVo>>()
    val imageList: LiveData<List<MainActivityPhotoVo>> = _imageList

    init {
        load()
    }

    /**
     * 循环加载网络图片
     *
     */
    fun load() {
        viewModelScope.launch {
            HttpClient.post(
                url = Api.buildUrl(MainApi.HotActivity),
                callback = HttpCallback<List<MainActivityPhotoVo>>(action = "加载活动轮播图",
                    onSuccess = {
                        it.body?.let {
                            _imageList.postValue(it)
                        }
                    },
                    typeToken = object : TypeToken<ApiResponse<List<MainActivityPhotoVo>>>() {}.type
                ),
                jsonParam = OnlyToken(clientType = ClientType.Foreground)
            )
        }
    }

}



