package com.gyf.lib.service

import android.content.Intent
import android.os.Bundle
import androidx.activity.ComponentActivity
import com.gyf.csams.module.ClientType


abstract class BaseActivity : ComponentActivity() {

    abstract val clientType: ClientType

    private val serviceIntent
        get() = Intent(this, MessageService::class.java).apply {
            putExtra(ClientType::class.java.name, clientType)
        }

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        startService(serviceIntent)
    }

    override fun onResume() {
        super.onResume()
        startService(serviceIntent)
    }
}