package com.gyf.lib.util

import java.sql.Timestamp
import java.text.SimpleDateFormat
import java.util.*

object DateTimeUtil {

    const val DATE_TIME_FORMAT = "yyyy-MM-dd HH:mm"


    const val DATE_FORMAT = "yyyy-MM-dd"

    const val TIME_FORMAT = "HH:mm"

    const val DATETIME_FORMAT = "yyyy-MM-dd HH:mm"

    const val START_TIME = "2021-01-01 00:00"

    fun String.toTimeStamp(pattern: String = DATE_TIME_FORMAT): Timestamp {
        return Timestamp(this.toDate(pattern).time)
    }

    fun String.toDate(pattern: String = DATE_TIME_FORMAT): Date {
        return SimpleDateFormat(pattern, Locale.CHINA).parse(this)
            ?: throw IllegalArgumentException("日期字符串按[$pattern]转换失败")
    }


    val startUnix = SimpleDateFormat(DATETIME_FORMAT, Locale.CHINA).parse(START_TIME)?.time

    fun randomDateTime(): Date {
        if (startUnix != null) {
            return Date("${(startUnix..Date().time).random()}".toLong())
        } else {
            throw IllegalArgumentException("生成随机失败，无法获取起始时间")
        }
    }


    fun Date.datetimeFormat(): String {
        return SimpleDateFormat(DATETIME_FORMAT, Locale.CHINA).format(this)
    }


    fun Date.dateFormat(): String {
        return SimpleDateFormat(DATE_FORMAT, Locale.CHINA).format(this)
    }

    fun Date.timeFormat(): String {
        return SimpleDateFormat(TIME_FORMAT, Locale.CHINA).format(this)
    }
}
