package com.gyf.lib.util

import okhttp3.internal.toHexString

fun randomNum(length: Int = 8): String {
    return List(length) { ('0'..'9').random() }.joinToString("")
}

fun encode(char: Char) = "\\u${char.toInt().toHexString()}"

//unicode ->String
fun String.decodeUnicode(): String {
    fun decode1(unicode: String) = unicode.toInt(16).toChar()
    val unicodes = this.split("\\u").mapNotNull { if (it.isNotBlank()) decode1(it) else null }
    return String(unicodes.toCharArray())
}

val CHINESE_UNICODE_AREA = 0X4e00..0X9fa5

/**
 * 随机中文
 *
 * @param length
 * @return
 */
fun randomChinese(length: Int = 8): String {
    return List(length) {
        "\\u${
            CHINESE_UNICODE_AREA.random().toHexString()
        }".decodeUnicode()
    }.joinToString("")
}


